# Simple Stock Bots

[![Platform](https://img.shields.io/badge/platform-Telegram-blue.svg)](https://t.me/SimpleStockBot)
[![Platform](https://img.shields.io/badge/platform-Discord-blue.svg)](https://discordapp.com/api/oauth2/authorize?client_id=532045200823025666&permissions=0&scope=bot)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://tldrlegal.com/license/mit-license#summary)

---

## About

Simple Stock Bots is a family of messaging bots that aim to provide simple interface to stock market information. Currently there are only Telegram and Discord Bots.

## Getting Started

The bots can either be added to a server or can be direct messaged for the exact same functionality. Links for each platform are below:

- [Telegram](https://t.me/SimpleStockBot)
- [Discord](https://discordapp.com/oauth2/authorize?client_id=532045200823025666&permissions=2048&scope=bot)

Alternatively, this project is completely open source and instructions on how to run your own instance of the bot are provided on each of the bots pages. [Hosting](#host)

## Usage

The bots are nearly identical between platforms, but sometimes a platform will have a feature that only it supports such as Telegrams inline messaging or Discords embeds.

- `/donate [amount in USD]` to donate. 🎗️
- `/dividend $[symbol]` Dividend information for the symbol. 📅
- `/intra $[symbol]` Plot of the stocks movement since the last market open. 📈
- `/chart $[symbol]` Plot of the stocks movement for the past 1 month. 📊
- `/news $[symbol]` News about the symbol. 📰
- `/info $[symbol]` General information about the symbol. ℹ️
- `/stat $[symbol]` Key statistics about the symbol. 🔢
- `/trending` Trending Stocks and Cryptos. 💬
- `/help` Get some help using the bot. 🆘

Please see [Commands](#commands) for detailed usage.

### Universal Commands

- /dividend `$[symbol]` will return dividend information for the symbol.
- /news `$[symbol]` will return news about the symbol.
- /info `$[symbol]` will return general information about the symbol.
- /search `query` Takes a search string, whether a company name or ticker and returns a list of companies that are supported by the bot.

### Telegram Features

For the full list of Telgram bot features see [Telegram Commands](./telegram)

---

## Support the Project

If you appreciate these bots please consider [donating](./donate) or contributing in another way so that they can remain free, and so that I can continue to post free things on the world wide web.

### Ways to help:

- [_"buy me a coffee"_](https://www.buymeacoffee.com/Anson)
- Use my referral links when hosting your own bot. [DigitalOcean](https://m.do.co/c/6b5df7ef55b6) or [IEX Cloud](https://iexcloud.io/s/62c8503e)
- Follow me on [twitter](https://twitter.com/Anson_3D)
- Contribute to the project on [GitLab](https://gitlab.com/simple-stock-bots) or just leave a star

## Help the bot isn't working! / I have an amazing feature that you should totally add!

Feel free to reach out at any of the following places:

- Run the `/help` command and try to figure it out yourself.
- Open an issue on gitlab: [`Telegram Bot`](https://gitlab.com/simple-stock-bots/simple-telegram-stock-bot) [`Discord Bot`](https://gitlab.com/simple-stock-bots/simple-discord-stock-bot)
- Message me on [Telegram](https://t.me/MisterBiggs)
- Message me on Discord `MisterBiggs#0465`
- Assume someone else is already messaging me
- [Send a Carrier Pigeon 🕊 \(Twitter\)](https://twitter.com/Anson_3D)

## Source Code

The source code for the bots is completely open and hosted on GitLab. The project is licensed with an MIT License which is incredibly permissive. The full text of the license can be read [here](./LICENSE)

- [Telegram](https://gitlab.com/simple-stock-bots/simple-telegram-stock-bot)
- [Discord](https://gitlab.com/simple-stock-bots/simple-discord-stock-bot)

If you decide to host your own bots using my source code please consider using my referral links for DigitalOcean and IEX Cloud. We both get a kickback when you use them.

- [DigitalOcean](https://m.do.co/c/6b5df7ef55b6)
- [IEX Cloud](https://iexcloud.io/s/62c8503e)
